* E Posta Adresiniz:
* Kodu Girin:

İleti Yazar
11.10.2018 10:39
86706    
oezcan

[3] Kıdemli Girişimci

Online Durumu

27 ileti

Merhaba,

2 boyutta çalışacağım yüzlerce nokta var. Bu noktalardan, bunların aşağısında bulunan normal çizgisini seçerek oraya dik çizgiler indirmek istiyorum.

Toplu halde yapmam Mümkün müdür?

Teşekkür ederim

11.10.2018 17:14
86708    
ehya

[90] Yönetici

Online Durumu

3211 ileti
Teknik Ressam
Ankara

Kod:

(defun c:PTL () (vl-load-com)
    (setq act  (vla-get-activedocument (vlax-get-acad-object))
          ms (vla-get-modelspace act))
    (if (setq psec (ssget (list (cons 0 "POINT"))))
            (if (setq lsec (entsel "\nÇizgiyi seçin:"))
                (progn
            (setq c 0 say (sslength psec) ndata (vlax-ename->vla-object (car lsec)))
            (vla-startundomark act)
            (while (< c say)
                (setq tek (ssname psec c)
                      pn (cdr (assoc 10 (entget tek)))
                      dnok (vlax-curve-getclosestpointto ndata pn t))
                (vla-addline ms (vlax-3d-point pn)(vlax-3d-point dnok))
                (setq c (1+ c)))
            (vla-endundomark act))))(princ))

13.10.2018 10:17
86709    
oezcan

[3] Kıdemli Girişimci

Online Durumu

27 ileti

Çok Teşekkür ederim elinize sağlık

> 1 <
Copyright © 2004-2018 | Tüm Hakları Saklıdır | 2688 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam